import { jsx } from "react/jsx-runtime";
import { ConfettiIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Confetti = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Confetti", ...props, children: /* @__PURE__ */ jsx(ConfettiIcon, { weight: variant }) });
  }
);
Confetti.displayName = "Confetti";
Object.assign(Confetti, { isGdsIcon: true });
export {
  Confetti
};
